Loading...
Searching...
No Matches
casacore::FITS2_global_functions_ReadFITSin Struct Reference
fits package (libcasa_fits) » FITS_module

More...

`#include <FITS2.h>`

## Public Member Functions

template<class StorageType>
void | ReadFITSin (PrimaryArray< StorageType > &fitsdata, Array< Float > &data, Bool &ok, String &ErrorMessage, String *unitName, Vector< String > *axisNames, Vector< Float > *refPixel, Vector< Float > *refLocation, Vector< Float > *delta, std::map< String, Double > *keywords, String *objectName)

## Detailed Description

helper function for ReadFITS and WriteFITS

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Helper functions to reduce the tedium/code replication of writing the ReadFITS and WriteFITS functions. If a baseclass is introduced that aboved the PrimaryArray class that contains functions like operator() and copy() then these functions won't be necessary.

Definition at line 48 of file FITS2.h.

## Member Function Documentation

## ReadFITSin()

template<class StorageType>

void casacore::FITS2_global_functions_ReadFITSin::ReadFITSin | ( | PrimaryArray< StorageType > & | fitsdata,
|  | Array< Float > & | data,
|  | Bool & | ok,
|  | String & | ErrorMessage,
|  | String * | unitName,
|  | Vector< String > * | axisNames,
|  | Vector< Float > * | refPixel,
|  | Vector< Float > * | refLocation,
|  | Vector< Float > * | delta,
|  | std::map< String, Double > * | keywords,
|  | String * | objectName )

References casacore::PrimaryArray().

The documentation for this struct was generated from the following file:

- fits/FITS/FITS2.h